package com.neusoft.smart.pos.payorder.persistent.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class PayTypeDict implements Serializable {
    private Integer id;

    private String payType;

    private String payPlatformType;

    private String payPlatformDomainUrl;

    private String name;

    private String beanName;

    private String description;

    private BigDecimal payFeeRate;

    private String isEnable;

    private String notifyUrl;

    private String refundNotifyUrl;

    private String isShow;

    private Byte priority;

    private Integer version;

    private Date createdAt;

    private String createdBy;

    private String updatedBy;

    private Date updatedAt;

    private String imageUrl;

    private String imageUrlThumb;

    private String categoryType;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getPayType() {
        return payType;
    }

    public void setPayType(String payType) {
        this.payType = payType == null ? null : payType.trim();
    }

    public String getPayPlatformType() {
        return payPlatformType;
    }

    public void setPayPlatformType(String payPlatformType) {
        this.payPlatformType = payPlatformType == null ? null : payPlatformType.trim();
    }

    public String getPayPlatformDomainUrl() {
        return payPlatformDomainUrl;
    }

    public void setPayPlatformDomainUrl(String payPlatformDomainUrl) {
        this.payPlatformDomainUrl = payPlatformDomainUrl == null ? null : payPlatformDomainUrl.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getBeanName() {
        return beanName;
    }

    public void setBeanName(String beanName) {
        this.beanName = beanName == null ? null : beanName.trim();
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    public BigDecimal getPayFeeRate() {
        return payFeeRate;
    }

    public void setPayFeeRate(BigDecimal payFeeRate) {
        this.payFeeRate = payFeeRate;
    }

    public String getIsEnable() {
        return isEnable;
    }

    public void setIsEnable(String isEnable) {
        this.isEnable = isEnable == null ? null : isEnable.trim();
    }

    public String getNotifyUrl() {
        return notifyUrl;
    }

    public void setNotifyUrl(String notifyUrl) {
        this.notifyUrl = notifyUrl == null ? null : notifyUrl.trim();
    }

    public String getRefundNotifyUrl() {
        return refundNotifyUrl;
    }

    public void setRefundNotifyUrl(String refundNotifyUrl) {
        this.refundNotifyUrl = refundNotifyUrl == null ? null : refundNotifyUrl.trim();
    }

    public String getIsShow() {
        return isShow;
    }

    public void setIsShow(String isShow) {
        this.isShow = isShow == null ? null : isShow.trim();
    }

    public Byte getPriority() {
        return priority;
    }

    public void setPriority(Byte priority) {
        this.priority = priority;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy == null ? null : createdBy.trim();
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy == null ? null : updatedBy.trim();
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public String getImageUrl() {
        return imageUrl;
    }

    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl == null ? null : imageUrl.trim();
    }

    public String getImageUrlThumb() {
        return imageUrlThumb;
    }

    public void setImageUrlThumb(String imageUrlThumb) {
        this.imageUrlThumb = imageUrlThumb == null ? null : imageUrlThumb.trim();
    }

    public String getCategoryType() {
        return categoryType;
    }

    public void setCategoryType(String categoryType) {
        this.categoryType = categoryType == null ? null : categoryType.trim();
    }
}